Bug 966216 - [abrt] libreoffice-core-3.6.6.2-5.fc18: GetBackground: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.6.2-5.fc18: GetBackground: Process /usr/lib64/lib...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:25787c0c025b476eb8a28bc9feb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 15:44 EDT by Oren Oichman
Modified: 2013-06-10 05:49 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 05:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (92.86 KB, text/plain)
2013-05-22 15:44 EDT, Oren Oichman
no flags Details
File: cgroup (127 bytes, text/plain)
2013-05-22 15:44 EDT, Oren Oichman
no flags Details
File: core_backtrace (9.95 KB, text/plain)
2013-05-22 15:45 EDT, Oren Oichman
no flags Details
File: dso_list (24.01 KB, text/plain)
2013-05-22 15:45 EDT, Oren Oichman
no flags Details
File: environ (1.06 KB, text/plain)
2013-05-22 15:45 EDT, Oren Oichman
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-22 15:45 EDT, Oren Oichman
no flags Details
File: maps (111.38 KB, text/plain)
2013-05-22 15:45 EDT, Oren Oichman
no flags Details
File: open_fds (543 bytes, text/plain)
2013-05-22 15:45 EDT, Oren Oichman
no flags Details
File: proc_pid_status (969 bytes, text/plain)
2013-05-22 15:45 EDT, Oren Oichman
no flags Details
File: var_log_messages (342 bytes, text/plain)
2013-05-22 15:45 EDT, Oren Oichman
no flags Details

  None (edit)
Description Oren Oichman 2013-05-22 15:44:47 EDT
Version-Release number of selected component:
libreoffice-core-3.6.6.2-5.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer /home/oren/Desktop/Work/Comverse/IPA_implementation.doc --splash-pipe=6
crash_function: GetBackground
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.2-200.fc18.x86_64
uid:            1000
ureports_counter: 2
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GetBackground at /usr/src/debug/libreoffice-3.6.6.2/sw/inc/frmatr.hxx:55
 #2 SwLayoutFrm::ShrinkFrm at /usr/src/debug/libreoffice-3.6.6.2/sw/source/core/layout/wsfrm.cxx:2662
 #3 Shrink at /usr/src/debug/libreoffice-3.6.6.2/sw/source/core/layout/wsfrm.cxx:1321
 #4 SwFrm::Shrink at /usr/src/debug/libreoffice-3.6.6.2/sw/source/core/layout/wsfrm.cxx:1294
 #5 SwLayoutFrm::ShrinkFrm at /usr/src/debug/libreoffice-3.6.6.2/sw/source/core/layout/wsfrm.cxx:2621
 #6 Shrink at /usr/src/debug/libreoffice-3.6.6.2/sw/source/core/layout/wsfrm.cxx:1321
 #7 SwFrm::Shrink at /usr/src/debug/libreoffice-3.6.6.2/sw/source/core/layout/wsfrm.cxx:1294
 #8 SwLayoutFrm::ShrinkFrm at /usr/src/debug/libreoffice-3.6.6.2/sw/source/core/layout/wsfrm.cxx:2621
 #9 Shrink at /usr/src/debug/libreoffice-3.6.6.2/sw/source/core/layout/wsfrm.cxx:1321
 #10 SwFrm::Shrink at /usr/src/debug/libreoffice-3.6.6.2/sw/source/core/layout/wsfrm.cxx:1294
Comment 1 Oren Oichman 2013-05-22 15:44:52 EDT
Created attachment 751835 [details]
File: backtrace
Comment 2 Oren Oichman 2013-05-22 15:44:56 EDT
Created attachment 751836 [details]
File: cgroup
Comment 3 Oren Oichman 2013-05-22 15:45:00 EDT
Created attachment 751837 [details]
File: core_backtrace
Comment 4 Oren Oichman 2013-05-22 15:45:04 EDT
Created attachment 751838 [details]
File: dso_list
Comment 5 Oren Oichman 2013-05-22 15:45:08 EDT
Created attachment 751839 [details]
File: environ
Comment 6 Oren Oichman 2013-05-22 15:45:11 EDT
Created attachment 751840 [details]
File: limits
Comment 7 Oren Oichman 2013-05-22 15:45:16 EDT
Created attachment 751841 [details]
File: maps
Comment 8 Oren Oichman 2013-05-22 15:45:20 EDT
Created attachment 751842 [details]
File: open_fds
Comment 9 Oren Oichman 2013-05-22 15:45:24 EDT
Created attachment 751843 [details]
File: proc_pid_status
Comment 10 Oren Oichman 2013-05-22 15:45:27 EDT
Created attachment 751844 [details]
File: var_log_messages
Comment 11 David Tardon 2013-05-23 03:16:03 EDT
It crashed on udoing insertion of cells into a table. Is it reproducible?
Comment 12 Oren Oichman 2013-05-23 05:25:28 EDT
Hay ,

yes it is 

all I did was working on a office 2012 document format and copy/pasted a table
from html.
after the paste I tried to edit the table and then the writer crashed
Comment 13 David Tardon 2013-05-27 02:59:23 EDT
The crash is most probably caused either by something in the document or in the pasted table, possibly by a combination of both. Could you attach the .docx here and tell us where did you get the table? (I suppose it came from a public web site.)

Note You need to log in before you can comment on or make changes to this bug.